<div class="cont-flex">
  <mat-card>
    <mat-card-header>
      <mat-card-title>
        Pago
      </mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <!-- Moneda de pago -->
      <mat-form-field>
        <mat-label>Seleccione la moneda</mat-label>
        <mat-select (selectionChange)="changeCurrency($event)">
          <mat-option *ngFor="let currency of currencies" [value]="currency.id">{{currency.name}}
          </mat-option>
        </mat-select>

      </mat-form-field>
      <!-- Métodos de pago -->
      <ng-container *ngIf="currency">
        <label>Método de pago:</label>
        <br>
        <mat-radio-group (change)="changePaymentType($event)" *ngIf="currency == '1'">
          <mat-radio-button color="primary" id="cash" name="cash" value="cash">Cash
          </mat-radio-button>
          <mat-radio-button color="primary" id="zelle" name="zelle" value="zelle">Zelle
          </mat-radio-button>
        </mat-radio-group>
        <mat-radio-group (change)="changePaymentType($event)" *ngIf="currency == '2'">
          <mat-radio-button color="primary" id="transferencia" name="transferencia" value="transferencia">Transferencia
          </mat-radio-button>
          <mat-radio-button color="primary" id="pagoMovil" name="pagoMovil" value="pagoMovil">Pago Móvil
          </mat-radio-button>
        </mat-radio-group>
      </ng-container>
      <br>
      <p *ngIf="paymentMethod && paymentMethod!=='cash'">
        <!-- <a href="" (click)="openAccounts($event, paymentMethod)">Ver Cuentas</a> -->
      </p>

      <ng-container [ngSwitch]="paymentMethod">
        <app-cash *ngSwitchCase="'cash'" [request]="request"></app-cash>
        <app-zelle (saved)="txSave()" *ngSwitchCase="'zelle'" [request]="request"></app-zelle>
        <app-pago-movil (saved)="txSave()" *ngSwitchCase="'pagoMovil'" [request]="request"></app-pago-movil>
        <app-transferencia (saved)="txSave()" *ngSwitchCase="'transferencia'" [request]="request"></app-transferencia>

      </ng-container>
    </mat-card-content>
  </mat-card>


</div>
